BUILD_BLAST_ATLAS(1)

NAME
build_blast_atlas - visually comparing bacterial, plasmid, chloroplast, or mitochondrial sequences

DESCRIPTION

  USAGE:

    build_blast_atlas -i FILE [-p DIR] [Options] build_blast_atlas -p DIR [Options]

  DESCRIPTION:

    This command is used to first create a blast atlas project directory and then again to generate maps. Run this command with the '-i' option and a GenBank file to create a new project using the GenBank file as the reference genome. Alternatively, a blank project can be created using the '-p' option, in which case a reference GenBank file will have to be placed in the reference_genomes directory. After the project has been created, place the genomes to compare with the reference in the comparison_genomes directory.

    [Optional] Make changes to the *.conf files to configure how the maps will be drawn. Add additional GFF files to the features and analysis directories.

    Draw maps by running this command again with the '-p' option pointing to the project directory.

  REQUIRED ARGUMENTS:

-i, --input FILE

    Sequence file in GenBank format, with a .gbk extension. This option is only required when first creating a blast atlas project. The project directory will be named after this file unless the '-p' option is provided.

-p, --project DIR

    Initiates map creation for the project. If no project exists yet, a blank project will be created. When used with the '-i' option, this will be where the project is created. This option is only required when creating the blast atlas maps.

  OPTIONAL ARGUMENTS:

-m, --memory STRING

    Memory value for Java's -Xmx option (Default: 1500m).

-c, --custom STRING

    Custom settings for map creation.

-b, --max_blast_comparisons INTEGER

    Maximum number of comparison genomes to display (Default: 100).

-z, --map_size STRING

    Size of custom maps to create. For quickly regenerating new map sizes, use this option with the --start_at_xml option. Possible sizes include small/medium/large/x-large or a combination separated by commas (e.g. small,large). The size(s) provided will override the size(s) in the configuration files.

-x, --start_at_xml

    Jump to XML generation. Skips performing blast, which can speed map generation if blast has already been done. This option is for creating new maps after making changes to the .conf files. Note that any changes in the .conf files related to blast will be ignored. This option will be ignored if the --start_at_map option is also provided.

-r, --start_at_map

    Start at map generation. Skips performing blast and generating XML. Useful if manual changes to the XML files have been made or if creating new map sizes (see --map_size).

-h, --help

    Show this message.

  NOTE:

    This script will likely not work if there are spaces in the path to the project directory because the NCBI tool 'formatdb' cannot handle such paths.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.